$primary: #0366d6;
$secondary: #3c4f5e;
$danger: #e22a2a;

$blue_0: #f1f8ff;
$blue_1: #dbedff;
$blue_2: #c8e1ff;
$blue_3: #79b8ff;
$blue_4: #2188ff;
$blue_5: #0366d6;
$blue_6: #005cc5;
$blue_7: #044289;
$blue_8: #032f62;
$blue_9: #05264c;

$grey_1: #28353f;
$grey_2: #3c4f5e;
$grey_3: #627788;
$grey_4: #9aa8b3;
$grey_5: #ced6db;
$grey_6: #e7eef2;
$grey_7: #f4f4f4;
$grey_9: #24292e;

$white_1: #fff;
$white_2: #fcfcfc;

$black_1: #1f1f1f;

$red_2: #e22a2a;
$red_3: #ffcaca;

$purple_1: #f7cfff;
$purple_2: #730c8f;

$green_1: #7abf20;

$orange_1: #b66700;

$yellow_1: #ffc107;

$border_radius: 6px;
$border_width: 1.5px;

// Custom react sidebar
$submenu-bg-color: $blue_2 !default;
$icon-bg-color: transparent !default;
$highlight-color: #fcfcfc !default;

@mixin background-opacity($color, $opacity: 0.3) {
  background: $color;
  background: rgba($color, $opacity);
}

@mixin text-limit($nline) {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: $nline;
  -webkit-box-orient: vertical;
}
